
import numpy as np 

wc20_14 = [
3.0010718113612005, 0.16384039900249378,
22.808145766345124, 0.15486284289276808,
32.261521972132904, 0.15486284289276808,
35.11254019292605, 0.19675810473815464,
48.01714898177921, 0.14089775561097256,
52.51875669882101, 0.1917705735660848,
62.722400857449095, 0.14488778054862844,
66.62379421221866, 0.1947630922693267,
72.02572347266882, 0.17082294264339154,
75.32690246516613, 0.19276807980049876,
83.7299035369775, 0.16683291770573566,
86.28081457663451, 0.19376558603491273,
97.2347266881029, 0.1458852867830424,
99.4855305466238, 0.19376558603491273,
109.2390139335477, 0.17281795511221948,
115.69131832797429, 0.17082294264339154
]
wc40_14 = [
3.5604027116130226, 0.30951021634615383,
30.66460313238056, 0.32171724759615383,
53.91047807897855, 0.3375300480769231,
70.41585052273514, 0.34091045673076925,
81.85992148896895, 0.34362229567307695,
103.52590299776719, 0.3365609975961539,
116.10298325796596, 0.32743389423076924
]
wc60_14 = [
3.751339764201501, 0.29251870324189533,
21.457663451232584, 0.2985037406483791,
33.01178992497321, 0.31147132169576064,
35.11254019292605, 0.329426433915212,
45.91639871382637, 0.3194513715710724,
52.21864951768489, 0.3214463840399003,
59.57127545551983, 0.3124688279301746,
66.17363344051448, 0.3214463840399003,
73.82636655948554, 0.3134663341645886,
83.27974276527331, 0.3204488778054863,
92.88317256162915, 0.31745635910224446,
99.18542336548768, 0.3264339152119701,
109.38906752411576, 0.31446384039900255
]
wc20_15 = [
22.30572050536362, 0.17704257711603516,
30.905449583425035, 0.18950763985490315,
37.8244566334051, 0.2047960692738727,
45.13479198863687, 0.1845328498862216,
50.2235451142688, 0.22972534788274945,
58.39216640909051, 0.18928416057260883,
62.39627855907861, 0.2293415280964427,
69.99263816734627, 0.19949805769058865,
76.93355306488564, 0.2261998328218141,
87.0313013917234, 0.18452146420489207,
91.22639482974392, 0.22891696450835344,
100.9181196100868, 0.19552934792666116,
105.4681301269906, 0.23038411775868317,
114.10597587527846, 0.1946259270469526,
118.3368836343171, 0.23596084329319073,
125.78366160420546, 0.20828366342922294,
129.71244998379828, 0.22370655680372875
]
wc40_15 = [
26.89091480666457, 0.32176373719975015,
37.909543040005154, 0.3608165660313074,
55.16310787609121, 0.35575892941644116,
73.61400623896694, 0.3440915371656793,
84.35502462537985, 0.3418277147886658,
104.85301348551897, 0.3715072589956655,
116.39187805802077, 0.35045143949575064,
128.10565940399326, 0.3655259222804793
]
wc60_15 = [
24.67472414445597, 0.3014929862373115,
35.39381541087797, 0.2996832046772711,
38.031547259879595, 0.33336534496261394,
45.1619298640274, 0.32071371009949046,
50.2495247090391, 0.34956229404205363,
61.89291680438803, 0.31706917664744294,
64.05891577624901, 0.35051504462501004,
74.75381105793555, 0.32281490678373304,
83.97889797466361, 0.318206367182426,
92.01972467639203, 0.3317161680377229,
102.53055992970323, 0.31593425614263865,
109.97523451883337, 0.32263907402946757,
117.21946260651919, 0.33388480353519373,
128.23581984340777, 0.32143633637307195
]

wc20_16 = [
2.4305555555555554, 0.22693333333333335,
5.671296296296296, 0.26426666666666665,
12.800925925925926, 0.22373333333333334,
21.22685185185185, 0.2184,
30.300925925925924, 0.22906666666666667,
35.81018518518518, 0.20346666666666668,
49.25925925925926, 0.20986666666666667,
52.33796296296296, 0.26106666666666667,
64.65277777777777, 0.19813333333333333,
67.56944444444444, 0.25360000000000005,
73.56481481481481, 0.20133333333333336,
75.18518518518519, 0.28453333333333336,
83.125, 0.20986666666666667,
87.01388888888889, 0.28026666666666666,
91.22685185185185, 0.24400000000000002,
96.25, 0.21093333333333336,
99.16666666666667, 0.29733333333333334,
108.56481481481481, 0.22266666666666668,
111.31944444444444, 0.2717333333333334,
121.52777777777777, 0.19813333333333333,
126.06481481481481, 0.24400000000000002,
135.78703703703704, 0.21413333333333334
]

wc40_16 = [
2.5299938260274657, 0.2700281809350684,
7.2979692636286275, 0.3008790912850699,
17.51314054965042, 0.2785228573352185,
30.10412321246809, 0.2868136307239519,
39.513340786597475, 0.28176222215810176,
51.507450483071636, 0.3012368833617066,
60.33789984815365, 0.26404189629800623,
66.41467403093661, 0.2941118196420156,
74.933254350982, 0.2491377403314386,
76.52530494418396, 0.3060266805166826,
85.57301139681957, 0.2534389397043406,
98.3386173638806, 0.33144915409104464,
109.3760950458042, 0.2950466957132277,
116.86737639540122, 0.2985515191736158,
125.9658929733518, 0.32687095440074637,
136.95489662767608, 0.28944898096584626
]

wc60_16 = [
3.4027777777777777, 0.2654054054054054,
7.453703703703703, 0.28918918918918923,
15.717592592592592, 0.2762162162162162,
25.925925925925924, 0.2794594594594595,
35.97222222222222, 0.26972972972972975,
48.125, 0.28594594594594597,
61.73611111111111, 0.3010810810810811,
73.88888888888889, 0.27297297297297296,
76.9675925925926, 0.30648648648648646,
86.68981481481481, 0.26972972972972975,
90.25462962962963, 0.29567567567567565,
100.46296296296296, 0.3302702702702703,
108.56481481481481, 0.29243243243243244,
119.74537037037037, 0.2935135135135135,
131.08796296296296, 0.31081081081081086
]




wc20hydrus_14 = [
0.30010718113612006, 0.2266832917705736,
3.901393354769561, 0.18778054862842894,
10.203644158628082, 0.1718204488778055,
18.006430868167204, 0.16184538653366584,
26.259378349410504, 0.15785536159601,
34.362272240085744, 0.15286783042394017,
35.41264737406217, 0.22468827930174567,
41.41479099678457, 0.17381546134663345,
49.51768488745981, 0.15286783042394017,
51.31832797427653, 0.22568578553615962,
56.57020364415863, 0.17680798004987533,
63.77277599142551, 0.15586034912718205,
64.82315112540194, 0.22867830423940153,
69.77491961414792, 0.17481296758104742,
73.2261521972133, 0.16384039900249378,
75.32690246516613, 0.17082294264339154,
76.37727759914256, 0.23566084788029928,
79.67845659163987, 0.19077306733167085,
83.87995712754555, 0.17481296758104742,
85.2304394426581, 0.23665835411471325,
88.38156484458736, 0.2037406483790524,
94.2336548767417, 0.18478802992518706,
97.2347266881029, 0.17581047381546136,
98.28510182207933, 0.23566084788029928,
100.08574490889605, 0.2057356608478803,
105.63772775991426, 0.18578553615960103,
110.28938906752413, 0.18079800498753118,
111.03965702036442, 0.23965087281795514,
113.14040728831726, 0.21072319201995016,
119.29260450160773, 0.18578553615960103,
126.19506966773848, 0.17680798004987533
]

wc40hydrus_14 = [
2.0380625347616856, 0.29925631009615383,
11.12132130679757, 0.31272536057692313,
21.849926244770632, 0.3126878004807693,
34.223877348680865, 0.3093374399038462,
38.507645555743636, 0.32076322115384615,
44.66358748659911, 0.31397986778846154,
49.86482238289845, 0.3122821514423077,
53.73330431488243, 0.32199519230769236,
63.499302751110356, 0.31145582932692306,
66.89720213769255, 0.322265625,
73.92885643121417, 0.31728515625,
77.2263197349648, 0.3310021033653846,
84.350510644129, 0.3290489783653846,
87.20334679467027, 0.3420522836538462,
97.36770407628627, 0.3354191706730769,
99.34369936884869, 0.34707782451923075,
109.85337621615521, 0.33719200721153847,
112.38684819319839, 0.3494891826923077,
120.30549980251331, 0.3420297475961539,
127.42517673042664, 0.3385066105769231
]

wc60hydrus_14 = [
0.4501607717041801, 0.2296758104738155,
1.8006430868167205, 0.271571072319202,
4.651661307609861, 0.3024937655860349,
11.254019292604502, 0.31147132169576064,
20.257234726688104, 0.3124688279301746,
33.762057877813504, 0.30748129675810476,
38.86387995712755, 0.31745635910224446,
43.96570203644159, 0.3164588528678305,
50.86816720257235, 0.3094763092269327,
56.57020364415863, 0.31745635910224446,
64.07288317256163, 0.31047381546134667,
69.02465166130762, 0.3194513715710724,
74.87674169346195, 0.3124688279301746,
80.12861736334406, 0.32743142144638404,
85.53054662379422, 0.32743142144638404,
90.48231511254019, 0.34039900249376565,
97.68488745980709, 0.3324189526184539,
102.18649517684888, 0.3413965087281796,
110.58949624866024, 0.33740648379052374,
113.89067524115757, 0.3463840399002494,
127.09539121114685, 0.3384039900249377
]

wc20hydrus_15 = [
0.2854230377166157, 0.2078864353312303,
1.1416921508664628, 0.25047318611987385,
1.9979612640163098, 0.23627760252365934,
2.711518858307849, 0.22208201892744484,
3.9959225280326196, 0.20883280757097794,
5.423037716615698, 0.2022082018927445,
6.850152905198777, 0.1946372239747634,
8.990825688073395, 0.18990536277602527,
11.845056065239552, 0.18422712933753943,
14.271151885830784, 0.18138801261829654,
16.269113149847094, 0.17854889589905365,
16.55453618756371, 0.18895899053627763,
16.69724770642202, 0.1993690851735016,
17.125382262996943, 0.2078864353312303,
18.409785932721714, 0.1993690851735016,
20.122324159021407, 0.1936908517350158,
21.692150866462793, 0.18801261829653,
23.40468909276249, 0.18517350157728707,
25.402650356778796, 0.18328075709779182,
27.257900101936798, 0.18233438485804418,
29.25586136595311, 0.18044164037854893,
31.82466870540265, 0.177602523659306,
33.679918450560656, 0.17570977917981073,
34.678899082568805, 0.18706624605678235,
34.678899082568805, 0.20504731861198738,
34.82161060142712, 0.21829652996845428,
34.96432212028542, 0.23249211356466878,
35.96330275229358, 0.2211356466876972,
36.962283384301735, 0.2135646687697161,
37.96126401630989, 0.20126182965299688,
40.10193679918451, 0.19274447949526816,
42.528032619775736, 0.18706624605678235,
44.240570846075435, 0.18138801261829654,
46.38124362895005, 0.18044164037854893,
46.52395514780836, 0.19842271293375396,
46.52395514780836, 0.22397476340694009,
46.80937818552498, 0.25236593059936907,
47.95107033639144, 0.23249211356466878,
48.950050968399594, 0.22018927444794956,
50.23445463812436, 0.20694006309148266,
52.23241590214067, 0.19842271293375396,
54.37308868501529, 0.1936908517350158,
56.51376146788991, 0.18990536277602527,
58.226299694189606, 0.18706624605678235,
60.081549439347604, 0.18328075709779182,
60.22426095820591, 0.19652996845425869,
60.22426095820591, 0.21261829652996847,
60.50968399592253, 0.22776025236593062,
61.08053007135576, 0.2495268138801262,
61.93679918450561, 0.23627760252365934,
62.79306829765545, 0.22208201892744484,
64.22018348623854, 0.2078864353312303,
66.64627930682977, 0.19652996845425869,
69.78593272171254, 0.19179810725552052,
72.06931702344546, 0.1861198738170347,
74.35270132517839, 0.18233438485804418,
74.4954128440367, 0.19747634069400632,
75.35168195718654, 0.21072555205047322,
77.34964322120285, 0.19842271293375396,
81.48827726809378, 0.18706624605678235,
83.20081549439348, 0.18138801261829654,
85.76962283384302, 0.17287066246056784,
87.91029561671763, 0.17003154574132495,
89.33741080530072, 0.1794952681388013,
89.33741080530072, 0.20031545741324924,
89.76554536187564, 0.22681388012618298,
90.19367991845056, 0.25425867507886435,
90.7645259938838, 0.24006309148264987,
91.76350662589195, 0.2211356466876972,
93.47604485219165, 0.20504731861198738,
96.18756371049949, 0.19558359621451105,
98.1855249745158, 0.18990536277602527,
99.8980632008155, 0.17665615141955837,
102.32415902140673, 0.17665615141955837,
102.32415902140673, 0.20031545741324924,
102.75229357798165, 0.216403785488959,
102.75229357798165, 0.24006309148264987,
103.32313965341488, 0.2570977917981073,
104.17940876656473, 0.22776025236593062,
105.89194699286442, 0.21261829652996847,
107.88990825688073, 0.19747634069400632,
110.45871559633028, 0.18895899053627763,
113.59836901121305, 0.18422712933753943,
116.59531090723752, 0.18233438485804418,
116.02446483180428, 0.19842271293375396,
116.73802242609582, 0.21829652996845428,
117.02344546381244, 0.25047318611987385,
117.45158002038737, 0.2353312302839117,
118.73598369011214, 0.216403785488959,
120.16309887869521, 0.20599369085173502,
122.01834862385321, 0.19558359621451105,
124.87257900101937, 0.1861198738170347,
126.29969418960245, 0.1794952681388013,
126.72782874617737, 0.1936908517350158,
126.44240570846075, 0.21167192429022086,
127.2986748216106, 0.23059936908517353,
128.29765545361875, 0.2135646687697161,
130.15290519877675, 0.20126182965299688,
132.00815494393476, 0.1946372239747634
]
wc40hydrus_15 = [
1.3304959736899378, 0.2765857167193504,
3.727420017894711, 0.3125645927580398,
9.404879936159407, 0.3186367852207984,
16.21986312963993, 0.31697866782760126,
23.56749611072151, 0.3218091650735364,
34.51841462529925, 0.3187957827790502,
38.09123078535213, 0.33362041225795463,
45.78869731337508, 0.3241714145104201,
49.15274184057585, 0.34612822017376166,
59.308071159690144, 0.3326588555961462,
63.70356040271161, 0.3475213416365392,
73.36912275610797, 0.33448354185989293,
78.95856003998097, 0.34082073025307114,
86.67069700706921, 0.3258295319036172,
91.81776412835828, 0.34498495201680834,
100.3446747112261, 0.3299861823550567,
105.77612265131913, 0.34631750298120423,
115.1302202984064, 0.33076602752172024,
119.04948451946251, 0.34598436524010523,
126.16464746612498, 0.3298498987336981,
129.74310610274142, 0.3422895648388257
]

wc60hydrus_15 = [
0.5708460754332314, 0.22056962025316457,
2.140672782874618, 0.24240506329113928,
3.2823649337410807, 0.26898734177215194,
5.2803261977573905, 0.2936708860759494,
7.8491335372069315, 0.3069620253164558,
10.988786952089704, 0.3126582278481013,
14.69928644240571, 0.31455696202531647,
18.409785932721714, 0.31740506329113927,
22.69113149847095, 0.31835443037974687,
26.116207951070336, 0.31835443037974687,
29.82670744138634, 0.31835443037974687,
33.53720693170234, 0.31740506329113927,
38.53211009174312, 0.32310126582278487,
41.386340468909275, 0.32500000000000007,
44.240570846075435, 0.32120253164556967,
47.38022426095821, 0.32120253164556967,
50.377166156982675, 0.3316455696202532,
54.515800203873596, 0.3335443037974684,
58.51172273190622, 0.3316455696202532,
61.223241590214066, 0.329746835443038,
64.22018348623854, 0.34018987341772156,
68.64424057084608, 0.34018987341772156,
73.06829765545362, 0.334493670886076,
76.20795107033639, 0.3335443037974684,
79.06218144750255, 0.33829113924050636,
82.62996941896024, 0.3335443037974684,
86.05504587155963, 0.32689873417721527,
90.19367991845056, 0.32784810126582287,
94.04689092762487, 0.33544303797468356,
97.61467889908258, 0.33924050632911396,
100.75433231396535, 0.3306962025316456,
103.46585117227319, 0.32689873417721527,
106.46279306829766, 0.33829113924050636,
109.88786952089704, 0.33639240506329116,
114.02650356778797, 0.33639240506329116,
117.16615698267074, 0.329746835443038,
120.73394495412845, 0.33734177215189876,
124.30173292558614, 0.33544303797468356,
127.58409785932722, 0.3306962025316456,
131.58002038735984, 0.33544303797468356
]

wc20hydrus_16 = [
0.6481481481481481, 0.2358288770053476,
4.212962962962963, 0.2197860962566845,
5.185185185185185, 0.2807486631016043,
7.291666666666667, 0.246524064171123,
10.37037037037037, 0.23368983957219253,
15.555555555555555, 0.21657754010695188,
18.63425925925926, 0.21229946524064172,
20.90277777777778, 0.21871657754010695,
23.819444444444443, 0.21550802139037434,
24.953703703703702, 0.23796791443850268,
30.787037037037038, 0.2197860962566845,
43.101851851851855, 0.20374331550802138,
45.532407407407405, 0.24973262032085564,
48.125, 0.22941176470588237,
51.041666666666664, 0.21764705882352942,
52.013888888888886, 0.272192513368984,
55.5787037037037, 0.22941176470588237,
61.41203703703704, 0.20267379679144387,
67.89351851851852, 0.1877005347593583,
69.02777777777777, 0.260427807486631,
73.24074074074073, 0.2090909090909091,
75.18518518518519, 0.2957219251336899,
77.12962962962963, 0.24438502673796791,
81.99074074074073, 0.22620320855614975,
86.04166666666667, 0.20374331550802138,
87.17592592592592, 0.28823529411764703,
89.60648148148148, 0.23796791443850268,
93.98148148148148, 0.21229946524064172,
95.43981481481481, 0.22941176470588237,
97.22222222222221, 0.2625668449197861,
99.00462962962963, 0.30213903743315507,
101.92129629629629, 0.246524064171123,
108.56481481481481, 0.22834224598930483,
110.18518518518519, 0.2957219251336899,
112.29166666666667, 0.2518716577540107,
117.15277777777777, 0.22085561497326206,
123.14814814814815, 0.21336898395721926,
123.95833333333333, 0.2796791443850267,
126.71296296296296, 0.24331550802139038,
132.87037037037038, 0.21657754010695188,
133.84259259259258, 0.2508021390374332,
136.4351851851852, 0.23689839572192514
]

wc40hydrus_16 = [
0.13607769193545696, 0.2589096959729156,
4.5413739591850355, 0.2697819584307163,
5.892806487677085, 0.28517471217935775,
8.833953511655459, 0.2924844427773129,
13.575647849955782, 0.2799694145482875,
19.862670827145458, 0.2713439324427004,
23.987635368519417, 0.2738023102595916,
26.283435398554957, 0.29011455117292323,
30.570758731165213, 0.28327033499725884,
39.06305795190976, 0.27132469630954786,
44.0459543793489, 0.26484211943715075,
46.31722538337032, 0.29700878129478414,
51.37779705985416, 0.28353579363476356,
53.46159622219627, 0.29461195910398097,
58.05261225783844, 0.2799848034548095,
63.093327103739426, 0.26593857902684404,
68.80508601845517, 0.25102672860701547,
71.14351983180097, 0.2607294341691433,
74.14832551853026, 0.25621279010493314,
76.1258322348112, 0.30306046878456494,
80.17604164928498, 0.2854401708168624,
82.82284036109397, 0.283470390782045,
86.65404061472744, 0.27006280597474297,
88.8978624705902, 0.29571226592030475,
93.9788750020858, 0.27442171374710256,
96.76934372340604, 0.28443604466630124,
97.99345892639624, 0.31379038385703706,
99.63047940062407, 0.3342153100383761,
101.9245273573729, 0.3209770032028162,
103.72565869612374, 0.32626693981975746,
108.61803133708221, 0.30141385578670976,
110.97632198101087, 0.3226697829202374,
115.37168983296901, 0.3045262621307865,
123.29748535767325, 0.28271633436246646,
125.67271271004022, 0.2998403400948342,
129.32636953728579, 0.29084552423271876,
132.69911061422684, 0.2826163064700734,
134.19362912780124, 0.30683844533571863,
136.9788416292613, 0.3066230006444105	
]

wc60hydrus_16 = [
1.7824074074074074, 0.2654054054054054,
7.777777777777778, 0.2783783783783784,
11.180555555555555, 0.2881081081081081,
17.662037037037038, 0.28162162162162163,
23.65740740740741, 0.28054054054054056,
27.87037037037037, 0.2945945945945946,
36.13425925925926, 0.28594594594594597,
44.72222222222222, 0.27513513513513516,
47.31481481481482, 0.29783783783783785,
51.68981481481482, 0.2935135135135135,
55.74074074074074, 0.29567567567567565,
61.898148148148145, 0.2794594594594595,
69.51388888888889, 0.2654054054054054,
74.69907407407408, 0.2632432432432432,
77.45370370370371, 0.2913513513513514,
82.63888888888889, 0.29243243243243244,
86.85185185185185, 0.2783783783783784,
89.12037037037037, 0.2881081081081081,
94.4675925925926, 0.28162162162162163,
97.87037037037037, 0.3043243243243243,
100.46296296296296, 0.32594594594594595,
103.86574074074073, 0.33351351351351355,
109.05092592592592, 0.312972972972973,
112.29166666666667, 0.3248648648648649,
118.125, 0.30648648648648646,
123.79629629629629, 0.29243243243243244,
126.71296296296296, 0.30000000000000004,
133.03240740740742, 0.2913513513513514,
135.30092592592592, 0.3118918918918919,
138.21759259259258, 0.31405405405405407
]

def get_measured(year):
	if year == 2014:
		n = len(wc20_14)
		wc20 = np.reshape(np.array(wc20_14),(int(n/2),2))
		n = len(wc40_14)
		wc40 = np.reshape(np.array(wc40_14),(int(n/2),2))
		n = len(wc60_14)
		wc60 = np.reshape(np.array(wc60_14),(int(n/2),2))
	elif year == 2015:
		n = len(wc20_15)
		wc20 = np.reshape(np.array(wc20_15),(int(n/2),2))
		n = len(wc40_15)
		wc40 = np.reshape(np.array(wc40_15),(int(n/2),2))
		n = len(wc60_15)
		wc60 = np.reshape(np.array(wc60_15),(int(n/2),2))
	elif year == 2016:
		n = len(wc20_16)
		wc20 = np.reshape(np.array(wc20_16),(int(n/2),2))
		n = len(wc40_16)
		wc40 = np.reshape(np.array(wc40_16),(int(n/2),2))
		n = len(wc60_16)
		wc60 = np.reshape(np.array(wc60_16),(int(n/2),2))
	return wc20, wc40, wc60

def get_modeled(year):
	if year == 2014:
		n = len(wc20hydrus_14)
		wc20hydrus = np.reshape(np.array(wc20hydrus_14),(int(n/2),2))
		n = len(wc40hydrus_14)
		wc40hydrus = np.reshape(np.array(wc40hydrus_14),(int(n/2),2))
		n = len(wc60hydrus_14)
		wc60hydrus = np.reshape(np.array(wc60hydrus_14),(int(n/2),2))
	elif year == 2015:
		n = len(wc20hydrus_15)
		wc20hydrus = np.reshape(np.array(wc20hydrus_15),(int(n/2),2))
		n = len(wc40hydrus_15)
		wc40hydrus = np.reshape(np.array(wc40hydrus_15),(int(n/2),2))
		n = len(wc60hydrus_15)
		wc60hydrus = np.reshape(np.array(wc60hydrus_15),(int(n/2),2))
	elif year == 2016:
		n = len(wc20hydrus_16)
		wc20hydrus = np.reshape(np.array(wc20hydrus_16),(int(n/2),2))
		n = len(wc40hydrus_16)
		wc40hydrus = np.reshape(np.array(wc40hydrus_16),(int(n/2),2))
		n = len(wc60hydrus_16)
		wc60hydrus = np.reshape(np.array(wc60hydrus_16),(int(n/2),2))
	return wc20hydrus, wc40hydrus, wc60hydrus